<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>propclass/wheeled.h Source File (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">propclass/wheeled.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    Crystal Space Entity Layer</span>
<a name="l00003"></a>00003 <span class="comment">    Copyright (C) 2006 by Jorrit Tyberghein</span>
<a name="l00004"></a>00004 <span class="comment"></span>
<a name="l00005"></a>00005 <span class="comment">    This library is free software; you can redistribute it and/or</span>
<a name="l00006"></a>00006 <span class="comment">    modify it under the terms of the GNU Library General Public</span>
<a name="l00007"></a>00007 <span class="comment">    License as published by the Free Software Foundation; either</span>
<a name="l00008"></a>00008 <span class="comment">    version 2 of the License, or (at your option) any later version.</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">    This library is distributed in the hope that it will be useful,</span>
<a name="l00011"></a>00011 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00012"></a>00012 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
<a name="l00013"></a>00013 <span class="comment">    Library General Public License for more details.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">    You should have received a copy of the GNU Library General Public</span>
<a name="l00016"></a>00016 <span class="comment">    License along with this library; if not, write to the Free</span>
<a name="l00017"></a>00017 <span class="comment">    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.</span>
<a name="l00018"></a>00018 <span class="comment">*/</span>
<a name="l00019"></a>00019 
<a name="l00020"></a>00020 <span class="preprocessor">#ifndef __CEL_PF_WHEELED__</span>
<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define __CEL_PF_WHEELED__</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span>
<a name="l00023"></a>00023 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cstypes_8h.html">cstypes.h</a>&quot;</span>
<a name="l00024"></a>00024 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/scf_8h.html">csutil/scf.h</a>&quot;</span>
<a name="l00025"></a>00025 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/matrix3_8h.html">csgeom/matrix3.h</a>&quot;</span>
<a name="l00026"></a>00026 
<a name="l00120"></a>00120 <span class="keyword">struct </span><a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>;
<a name="l00121"></a>00121 <span class="keyword">struct </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBodyGroup.html">iBodyGroup</a>;
<a name="l00122"></a>00122 <span class="keyword">struct </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMeshFactoryWrapper.html">iMeshFactoryWrapper</a>;
<a name="l00123"></a>00123 <span class="keyword">struct </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiODEHinge2Joint.html">iODEHinge2Joint</a>;
<a name="l00124"></a>00124 <span class="keyword">struct </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiODEAMotorJoint.html">iODEAMotorJoint</a>;
<a name="l00125"></a>00125 <span class="keyword">struct </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiRigidBody.html">iRigidBody</a>;
<a name="l00126"></a>00126 
<a name="l00127"></a>00127 <span class="keyword">struct </span>iPcWheeled : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00128"></a>00128 {
<a name="l00129"></a>00129   <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__scf.html#ga711056cbf220f268640935926c404ba5">SCF_INTERFACE</a> (iPcWheeled, 1, 0, 0);
<a name="l00130"></a>00130 
<a name="l00138"></a>00138   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetWheelMesh(<span class="keyword">const</span> <span class="keywordtype">char</span>* wheelfact, <span class="keyword">const</span> <span class="keywordtype">char</span>* wheelfile) = 0;
<a name="l00139"></a>00139 
<a name="l00147"></a>00147   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetWheelMesh(<span class="keywordtype">size_t</span> wheelnum, <span class="keyword">const</span> <span class="keywordtype">char</span>* wheelfact,
<a name="l00148"></a>00148       <span class="keyword">const</span> <span class="keywordtype">char</span>* wheelfile) = 0;
<a name="l00149"></a>00149 
<a name="l00154"></a>00154   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetTankMode(<span class="keywordtype">bool</span> tankmode) = 0;
<a name="l00155"></a>00155 
<a name="l00159"></a>00159   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> GetTankMode() = 0;
<a name="l00160"></a>00160 
<a name="l00165"></a>00165   <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cssysdef_8h.html#a6aa75111b26a9a9e9cc8213e8e245d97">CS_DEPRECATED_METHOD</a> <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetABSEnabled(<span class="keywordtype">bool</span> enabled) = 0;
<a name="l00166"></a>00166 
<a name="l00170"></a>00170   <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cssysdef_8h.html#a6aa75111b26a9a9e9cc8213e8e245d97">CS_DEPRECATED_METHOD</a> <span class="keyword">virtual</span> <span class="keywordtype">bool</span> GetABSEnabled() = 0;
<a name="l00171"></a>00171 
<a name="l00178"></a>00178   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetDifferential(<span class="keywordtype">bool</span> enabled) = 0;
<a name="l00179"></a>00179 
<a name="l00185"></a>00185   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetAntiSway(<span class="keywordtype">bool</span> enabled) = 0;
<a name="l00186"></a>00186 
<a name="l00191"></a>00191   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetAntiSwayFactor(<span class="keywordtype">float</span> antiswayfactor) = 0;
<a name="l00192"></a>00192 
<a name="l00197"></a>00197   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetAntiSwayLimit(<span class="keywordtype">float</span> antiswaylimit) = 0;
<a name="l00198"></a>00198 
<a name="l00199"></a>00199   
<a name="l00203"></a>00203   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> GetDifferential() = 0;
<a name="l00204"></a>00204 
<a name="l00208"></a>00208   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> GetAntiSway() = 0;
<a name="l00209"></a>00209 
<a name="l00213"></a>00213   <span class="keyword">virtual</span> <span class="keywordtype">float</span> GetAntiSwayFactor() = 0;
<a name="l00214"></a>00214 
<a name="l00218"></a>00218   <span class="keyword">virtual</span> <span class="keywordtype">float</span> GetAntiSwayLimit() = 0;
<a name="l00219"></a>00219   
<a name="l00224"></a>00224   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetABS(<span class="keywordtype">bool</span> enabled) = 0;
<a name="l00225"></a>00225 
<a name="l00229"></a>00229   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> GetABS() = 0;
<a name="l00230"></a>00230 
<a name="l00242"></a>00242   <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> AddWheelAuto(<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> position, <span class="keyword">const</span> <span class="keywordtype">char</span>* wheelfact = 0,
<a name="l00243"></a>00243      <span class="keyword">const</span> <span class="keywordtype">char</span>* wheelfile = 0,
<a name="l00244"></a>00244      <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsMatrix3.html">csMatrix3</a> rotation = <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsMatrix3.html">csMatrix3</a>(0.0f,0.0f,0.0f,0.0f)) = 0;
<a name="l00245"></a>00245 
<a name="l00249"></a>00249   <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cssysdef_8h.html#a6aa75111b26a9a9e9cc8213e8e245d97">CS_DEPRECATED_METHOD</a> <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> AddWheel(<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> position,
<a name="l00250"></a>00250                        <span class="keywordtype">float</span> turnspeed, <span class="keywordtype">float</span> returnspeed,
<a name="l00251"></a>00251                        <span class="keywordtype">float</span> suspensionsoftness, <span class="keywordtype">float</span> suspensiondamping,
<a name="l00252"></a>00252                        <span class="keywordtype">float</span> brakepower, <span class="keywordtype">float</span> enginepower,
<a name="l00253"></a>00253                        <span class="keywordtype">float</span> leftsteersensitivity,
<a name="l00254"></a>00254                        <span class="keywordtype">float</span> rightsteersensitivity, <span class="keywordtype">bool</span> handbrakeaffect,
<a name="l00255"></a>00255                        <span class="keywordtype">bool</span> steerinvert, <span class="keyword">const</span> <span class="keywordtype">char</span>* wheelfact = 0, 
<a name="l00256"></a>00256                        <span class="keyword">const</span> <span class="keywordtype">char</span>* wheelfile = 0,
<a name="l00257"></a>00257                        <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsMatrix3.html">csMatrix3</a> rotation = <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsMatrix3.html">csMatrix3</a>(0.0f,0.0f,0.0f,0.0f)) = 0;
<a name="l00258"></a>00258 
<a name="l00282"></a>00282   <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> AddWheel(<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> position,
<a name="l00283"></a>00283                        <span class="keywordtype">float</span> turnspeed, <span class="keywordtype">float</span> returnspeed,
<a name="l00284"></a>00284                        <span class="keywordtype">float</span> suspensionsoftness, <span class="keywordtype">float</span> suspensiondamping,
<a name="l00285"></a>00285                        <span class="keywordtype">float</span> brakepower, <span class="keywordtype">float</span> enginepower,
<a name="l00286"></a>00286                        <span class="keywordtype">float</span> leftsteersensitivity, <span class="keywordtype">float</span> friction, <span class="keywordtype">float</span> mass,
<a name="l00287"></a>00287                        <span class="keywordtype">float</span> rightsteersensitivity, <span class="keywordtype">bool</span> handbrakeaffect,
<a name="l00288"></a>00288                        <span class="keywordtype">bool</span> steerinvert, <span class="keyword">const</span> <span class="keywordtype">char</span>* wheelfact = 0, 
<a name="l00289"></a>00289                        <span class="keyword">const</span> <span class="keywordtype">char</span>* wheelfile = 0,
<a name="l00290"></a>00290                        <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsMatrix3.html">csMatrix3</a> rotation = <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsMatrix3.html">csMatrix3</a>(0.0f,0.0f,0.0f,0.0f)) = 0;
<a name="l00291"></a>00291 
<a name="l00296"></a>00296   <span class="keyword">virtual</span> <span class="keywordtype">void</span> DeleteWheel(<span class="keywordtype">size_t</span> wheelnum) = 0;
<a name="l00297"></a>00297 
<a name="l00301"></a>00301   <span class="keyword">virtual</span> <span class="keywordtype">void</span> DeleteAllWheels() = 0;
<a name="l00302"></a>00302 
<a name="l00307"></a>00307   <span class="keyword">virtual</span> <span class="keywordtype">void</span> DestroyWheel(<span class="keywordtype">size_t</span> wheelnum) = 0;
<a name="l00308"></a>00308 
<a name="l00313"></a>00313   <span class="keyword">virtual</span> <span class="keywordtype">void</span> DestroyAllWheels() = 0;
<a name="l00314"></a>00314 
<a name="l00318"></a>00318   <span class="keyword">virtual</span> <span class="keywordtype">void</span> RestoreWheel(<span class="keywordtype">size_t</span> wheelnum) = 0;
<a name="l00319"></a>00319 
<a name="l00323"></a>00323   <span class="keyword">virtual</span> <span class="keywordtype">void</span> RestoreAllWheels() = 0;
<a name="l00324"></a>00324 
<a name="l00333"></a>00333   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetOuterWheelSteerPreset(<span class="keywordtype">float</span> sensitivity) = 0;
<a name="l00334"></a>00334 
<a name="l00338"></a>00338   <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cssysdef_8h.html#a6aa75111b26a9a9e9cc8213e8e245d97">CS_DEPRECATED_METHOD</a> <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetFrontWheelPreset(<span class="keywordtype">float</span> sensitivity,
<a name="l00339"></a>00339      <span class="keywordtype">float</span> power, <span class="keywordtype">float</span> suspensionsoftness, <span class="keywordtype">float</span> suspensiondamping) = 0;
<a name="l00340"></a>00340 
<a name="l00354"></a>00354   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetFrontWheelPreset(<span class="keywordtype">float</span> sensitivity,<span class="keywordtype">float</span> power,
<a name="l00355"></a>00355      <span class="keywordtype">float</span> suspensionsoftness, <span class="keywordtype">float</span> suspensiondamping, <span class="keywordtype">float</span> friction,
<a name="l00356"></a>00356      <span class="keywordtype">float</span> mass) = 0;
<a name="l00357"></a>00357 
<a name="l00361"></a>00361   <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cssysdef_8h.html#a6aa75111b26a9a9e9cc8213e8e245d97">CS_DEPRECATED_METHOD</a> <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetRearWheelPreset(<span class="keywordtype">float</span> sensitivity,
<a name="l00362"></a>00362      <span class="keywordtype">float</span> power, <span class="keywordtype">float</span> suspensionsoftness, <span class="keywordtype">float</span> suspensiondamping) = 0;
<a name="l00363"></a>00363 
<a name="l00377"></a>00377   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetRearWheelPreset(<span class="keywordtype">float</span> sensitivity,<span class="keywordtype">float</span> power,
<a name="l00378"></a>00378      <span class="keywordtype">float</span> suspensionsoftness, <span class="keywordtype">float</span> suspensiondamping, <span class="keywordtype">float</span> friction,
<a name="l00379"></a>00379      <span class="keywordtype">float</span> mass) = 0;
<a name="l00380"></a>00380 
<a name="l00385"></a>00385   <span class="keyword">virtual</span> <span class="keywordtype">void</span> Accelerate(<span class="keywordtype">float</span> amount =  1.0f) = 0;
<a name="l00386"></a>00386 
<a name="l00390"></a>00390   <span class="keyword">virtual</span> <span class="keywordtype">float</span> GetAcceleratorAmount() = 0;
<a name="l00391"></a>00391 
<a name="l00396"></a>00396   <span class="keyword">virtual</span> <span class="keywordtype">void</span> Brake(<span class="keywordtype">float</span> amount =  1.0f) = 0;
<a name="l00397"></a>00397 
<a name="l00401"></a>00401   <span class="keyword">virtual</span> <span class="keywordtype">float</span> GetBrakeAmount() = 0;
<a name="l00402"></a>00402 
<a name="l00407"></a>00407   <span class="keyword">virtual</span> <span class="keywordtype">void</span> Handbrake(<span class="keywordtype">bool</span> applied) = 0;
<a name="l00408"></a>00408 
<a name="l00412"></a>00412   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> IsHandbraking() = 0;
<a name="l00413"></a>00413 
<a name="l00418"></a>00418   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetSteerAmount(<span class="keywordtype">float</span> amount) = 0;
<a name="l00419"></a>00419 
<a name="l00424"></a>00424   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetBrakeForce(<span class="keywordtype">float</span> force) = 0;
<a name="l00425"></a>00425 
<a name="l00429"></a>00429   <span class="keyword">virtual</span> <span class="keywordtype">float</span> GetSteerAmount() = 0;
<a name="l00430"></a>00430 
<a name="l00434"></a>00434   <span class="keyword">virtual</span> <span class="keywordtype">float</span> GetSpeed() = 0;
<a name="l00435"></a>00435 
<a name="l00440"></a>00440   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SteerLeft(<span class="keywordtype">float</span> amount = 1.0f) = 0;
<a name="l00441"></a>00441 
<a name="l00446"></a>00446   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SteerRight(<span class="keywordtype">float</span> amount = 1.0f) = 0;
<a name="l00447"></a>00447 
<a name="l00454"></a>00454   <span class="keyword">virtual</span> <span class="keywordtype">void</span> Steer(<span class="keywordtype">float</span> amount) = 0;
<a name="l00455"></a>00455 
<a name="l00459"></a>00459   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SteerStraight() = 0;
<a name="l00460"></a>00460 
<a name="l00464"></a>00464   <span class="keyword">virtual</span> <span class="keywordtype">void</span> Reverse() = 0;
<a name="l00465"></a>00465 
<a name="l00470"></a>00470   <span class="keyword">virtual</span> <span class="keywordtype">void</span> Neutral() = 0;
<a name="l00471"></a>00471 
<a name="l00477"></a>00477   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetAutoTransmission(<span class="keywordtype">bool</span> autoTransmission) = 0;
<a name="l00478"></a>00478 
<a name="l00484"></a>00484   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetGear(<span class="keywordtype">int</span> gear) = 0;
<a name="l00485"></a>00485 
<a name="l00489"></a>00489   <span class="keyword">virtual</span> <span class="keywordtype">int</span> GetGear() = 0;
<a name="l00490"></a>00490 
<a name="l00494"></a>00494   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetGearSettings(<span class="keywordtype">int</span> gear,<span class="keywordtype">float</span> velocity, <span class="keywordtype">float</span> force) = 0;
<a name="l00495"></a>00495 
<a name="l00500"></a>00500   <span class="keyword">virtual</span> <span class="keywordtype">float</span> GetGearVelocity(<span class="keywordtype">int</span> gear) = 0;
<a name="l00501"></a>00501 
<a name="l00506"></a>00506   <span class="keyword">virtual</span> <span class="keywordtype">float</span> GetGearForce(<span class="keywordtype">int</span> gear) = 0;
<a name="l00507"></a>00507 
<a name="l00511"></a>00511   <span class="keyword">virtual</span> <span class="keywordtype">int</span> GetTopGear() = 0;
<a name="l00512"></a>00512 
<a name="l00518"></a>00518   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetAutoReverse(<span class="keywordtype">bool</span> autoreverse) = 0;
<a name="l00519"></a>00519 
<a name="l00523"></a>00523   <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBodyGroup.html">iBodyGroup</a>* GetBodyGroup() = 0;
<a name="l00524"></a>00524 
<a name="l00530"></a>00530   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetWheelPosition(<span class="keywordtype">size_t</span> wheelnum, <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> position) = 0;
<a name="l00531"></a>00531 
<a name="l00537"></a>00537   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetWheelRotation(<span class="keywordtype">size_t</span> wheelnum, <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsMatrix3.html">csMatrix3</a> rotation) = 0;
<a name="l00538"></a>00538 
<a name="l00544"></a>00544   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetWheelSuspensionSoftness(<span class="keywordtype">size_t</span> wheelnum, <span class="keywordtype">float</span> softness) = 0;
<a name="l00545"></a>00545 
<a name="l00551"></a>00551   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetWheelSuspensionDamping(<span class="keywordtype">size_t</span> wheelnum, <span class="keywordtype">float</span> damping) = 0;
<a name="l00552"></a>00552 
<a name="l00558"></a>00558   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetWheelLeftSteerSensitivity(<span class="keywordtype">size_t</span> wheelnum,
<a name="l00559"></a>00559       <span class="keywordtype">float</span> sensitivity) = 0;
<a name="l00560"></a>00560 
<a name="l00566"></a>00566   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetWheelRightSteerSensitivity(<span class="keywordtype">size_t</span> wheelnum,
<a name="l00567"></a>00567       <span class="keywordtype">float</span> sensitivity) = 0;
<a name="l00568"></a>00568 
<a name="l00574"></a>00574   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetWheelFriction(<span class="keywordtype">size_t</span> wheelnum,
<a name="l00575"></a>00575       <span class="keywordtype">float</span> friction) = 0;
<a name="l00576"></a>00576 
<a name="l00582"></a>00582   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetWheelMass(<span class="keywordtype">size_t</span> wheelnum,
<a name="l00583"></a>00583       <span class="keywordtype">float</span> mass) = 0;
<a name="l00584"></a>00584 
<a name="l00591"></a>00591   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetWheelTurnSpeed(<span class="keywordtype">size_t</span> wheelnum, <span class="keywordtype">float</span> speed) = 0;
<a name="l00592"></a>00592 
<a name="l00598"></a>00598   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetWheelReturnSpeed(<span class="keywordtype">size_t</span> wheelnum, <span class="keywordtype">float</span> speed) = 0;
<a name="l00599"></a>00599 
<a name="l00606"></a>00606   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetWheelEnginePower(<span class="keywordtype">size_t</span> wheelnum, <span class="keywordtype">float</span> power) = 0;
<a name="l00607"></a>00607 
<a name="l00614"></a>00614   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetWheelBrakePower(<span class="keywordtype">size_t</span> wheelnum, <span class="keywordtype">float</span> power) = 0;
<a name="l00615"></a>00615 
<a name="l00623"></a>00623   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetWheelSteerInverted(<span class="keywordtype">size_t</span> wheelnum, <span class="keywordtype">bool</span> inverted) = 0;
<a name="l00624"></a>00624 
<a name="l00632"></a>00632   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetWheelHandbrakeAffected(<span class="keywordtype">size_t</span> wheelnum,
<a name="l00633"></a>00633       <span class="keywordtype">bool</span> handbrakeaffected) = 0;
<a name="l00634"></a>00634 
<a name="l00639"></a>00639   <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> GetWheelPosition(<span class="keywordtype">size_t</span> wheelnum) = 0;
<a name="l00640"></a>00640 
<a name="l00645"></a>00645   <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsMatrix3.html">csMatrix3</a> GetWheelRotation(<span class="keywordtype">size_t</span> wheelnum) = 0;
<a name="l00646"></a>00646 
<a name="l00651"></a>00651   <span class="keyword">virtual</span> <span class="keywordtype">float</span> GetWheelSuspensionSoftness(<span class="keywordtype">size_t</span> wheelnum) = 0;
<a name="l00652"></a>00652 
<a name="l00657"></a>00657   <span class="keyword">virtual</span> <span class="keywordtype">float</span> GetWheelSuspensionDamping(<span class="keywordtype">size_t</span> wheelnum) = 0;
<a name="l00658"></a>00658 
<a name="l00663"></a>00663   <span class="keyword">virtual</span> <span class="keywordtype">float</span> GetWheelLeftSteerSensitivity(<span class="keywordtype">size_t</span> wheelnum) = 0;
<a name="l00664"></a>00664 
<a name="l00669"></a>00669   <span class="keyword">virtual</span> <span class="keywordtype">float</span> GetWheelRightSteerSensitivity(<span class="keywordtype">size_t</span> wheelnum) = 0;
<a name="l00670"></a>00670 
<a name="l00675"></a>00675   <span class="keyword">virtual</span> <span class="keywordtype">float</span> GetWheelFriction(<span class="keywordtype">size_t</span> wheelnum) = 0;
<a name="l00676"></a>00676 
<a name="l00681"></a>00681   <span class="keyword">virtual</span> <span class="keywordtype">float</span> GetWheelMass(<span class="keywordtype">size_t</span> wheelnum) = 0;
<a name="l00682"></a>00682 
<a name="l00687"></a>00687   <span class="keyword">virtual</span> <span class="keywordtype">float</span> GetWheelTurnSpeed(<span class="keywordtype">size_t</span> wheelnum) = 0;
<a name="l00688"></a>00688 
<a name="l00693"></a>00693   <span class="keyword">virtual</span> <span class="keywordtype">float</span> GetWheelReturnSpeed(<span class="keywordtype">size_t</span> wheelnum) = 0;
<a name="l00694"></a>00694 
<a name="l00700"></a>00700   <span class="keyword">virtual</span> <span class="keywordtype">float</span> GetWheelEnginePower(<span class="keywordtype">size_t</span> wheelnum) = 0;
<a name="l00701"></a>00701 
<a name="l00706"></a>00706   <span class="keyword">virtual</span> <span class="keywordtype">float</span> GetWheelBrakePower(<span class="keywordtype">size_t</span> wheelnum) = 0;
<a name="l00707"></a>00707 
<a name="l00712"></a>00712   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> GetWheelSteerInverted(<span class="keywordtype">size_t</span> wheelnum) = 0;
<a name="l00713"></a>00713 
<a name="l00718"></a>00718   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> GetWheelHandbrakeAffected(<span class="keywordtype">size_t</span> wheelnum) = 0;
<a name="l00719"></a>00719 
<a name="l00723"></a>00723   <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> GetWheelCount() = 0;
<a name="l00724"></a>00724 
<a name="l00729"></a>00729   <span class="keyword">virtual</span> <span class="keywordtype">float</span> GetWheelSpin(<span class="keywordtype">size_t</span> wheelnum) = 0;
<a name="l00730"></a>00730 
<a name="l00734"></a>00734   <span class="keyword">virtual</span> <span class="keywordtype">float</span> GetAverageWheelSpin() = 0;
<a name="l00735"></a>00735 
<a name="l00740"></a>00740   <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiRigidBody.html">iRigidBody</a>* GetWheelBody(<span class="keywordtype">size_t</span> wheelnum) = 0;
<a name="l00741"></a>00741 
<a name="l00746"></a>00746   <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiODEHinge2Joint.html">iODEHinge2Joint</a>* GetWheelJoint(<span class="keywordtype">size_t</span> wheelnum) = 0;
<a name="l00747"></a>00747 
<a name="l00752"></a>00752   <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiODEAMotorJoint.html">iODEAMotorJoint</a>* GetBrakeMotor(<span class="keywordtype">size_t</span> wheelnum) = 0;
<a name="l00753"></a>00753 
<a name="l00759"></a>00759   <span class="keyword">virtual</span> <span class="keywordtype">void</span> SetCollisionCallbackEnabled (<span class="keywordtype">bool</span> en) = 0;
<a name="l00760"></a>00760 
<a name="l00765"></a>00765   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> IsCollisionCallbackEnabled () <span class="keyword">const</span> = 0;
<a name="l00766"></a>00766 };
<a name="l00767"></a>00767 
<a name="l00768"></a>00768 <span class="preprocessor">#endif // __CEL_PF_WHEELED__</span>
<a name="l00769"></a>00769 <span class="preprocessor"></span>
</pre></div></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
